Bug 1185489 - permissions of dspamc different than dspam
Summary: permissions of dspamc different than dspam
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dspam
Version: el6
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-23 21:45 UTC by Brian Kirkman
Modified: 2015-03-08 22:49 UTC (History)
2 users (show)

Fixed In Version: dspam-3.10.2-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-04 10:34:11 UTC


Attachments (Terms of Use)

Description Brian Kirkman 2015-01-23 21:45:51 UTC
Description of problem:
The permissions for /usr/bin/dspam are 2511 dspam:mail whereas the permissions for /usr/bin/dspamc are 755 root:root. Dspam runs fine as a daemon being called by postfix, but calling dspamc to connect to the daemon is too permissive for most applications, i.e. dovecot-antispam.


Version-Release number of selected component (if applicable):
dspam 3.10.2 and dspam-client 3.10.2


How reproducible:
Always


Steps to Reproduce:
1. setup a working dspam daemon
2. setup dovecot-antispam to call dspamc
3. move message from Inbox to Junk folder


Actual results:
/var/log/maillog logs the following when moving message from inbox to Junk folder:
Jan 23 15:33:37 mail.localhost dspam[16176]: Unable to open file for reading: /etc/dspam.conf: Permission denied
Jan 23 15:33:37 mail.localhost dspam[16176]: Unable to read dspam.conf
Jan 23 15:33:37 mail.localhost dovecot: imap(myuser@mydomain.com): Connection closed bytes=153/1227


Expected results:
Permissions of dspamc should allow dspamc to connect to dspam daemon. If dspamc is set to 2511 dspam:mail then dspamc can connect to dspam daemon.

Additional info:
The dspamc binary is installed using the dspam-client package.

The setup described above is:

Postfix --> DSPAM daemon [LMTP unix socket] --> Dovecot [LMTP unix socket]

with dspamc being called from dovecot-antispam to connect to the dspam daemon and retrain spam.

Comment 1 Brian Kirkman 2015-01-23 22:02:59 UTC
Please change permissive to restrictive

> ... but calling dspamc to connect to the daemon
> is too <strike>permissive<strike/> restrictive for most applications, i.e. dovecot-antispam.
>

Comment 2 Fedora Update System 2015-01-30 19:28:55 UTC
dspam-3.10.2-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dspam-3.10.2-5.el6

Comment 3 Fedora Update System 2015-01-31 16:53:28 UTC
Package dspam-3.10.2-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dspam-3.10.2-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0572/dspam-3.10.2-5.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-02-20 06:12:59 UTC
dspam-3.10.2-16.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dspam-3.10.2-16.fc20

Comment 5 Fedora Update System 2015-02-20 06:13:05 UTC
dspam-3.10.2-16.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dspam-3.10.2-16.fc21

Comment 6 Fedora Update System 2015-02-20 06:13:11 UTC
dspam-3.10.2-10.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dspam-3.10.2-10.el7

Comment 7 Fedora Update System 2015-02-20 06:13:17 UTC
dspam-3.10.2-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dspam-3.10.2-6.el6

Comment 8 Fedora Update System 2015-03-04 10:34:11 UTC
dspam-3.10.2-16.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-04 10:36:10 UTC
dspam-3.10.2-16.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-08 22:43:43 UTC
dspam-3.10.2-10.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-03-08 22:49:26 UTC
dspam-3.10.2-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.